diff -urN files.orig/patch-drivers.list_x11 files/patch-drivers.list_x11
--- files.orig/patch-drivers.list_x11	1969-12-31 19:00:00.000000000 -0500
+++ files/patch-drivers.list_x11	2008-07-02 18:50:27.000000000 -0400
@@ -0,0 +1,15 @@
+--- drivers.list.orig	Mon May  3 23:02:15 1999
++++ drivers.list	Tue Sep 14 14:39:39 2004
+@@ -67,9 +67,9 @@
+ ! WDDRIV 1 /WD        X Window dump file, landscape
+ ! WDDRIV 2 /VWD       X Window dump file, portrait
+ ! WSDRIV 0 /WS        VAX workstations running VWS software		VMS
+-! X2DRIV 0 /XDISP     PGDISP or FIGDISP server for X workstations	C
+-! XWDRIV 1 /XWINDOW   Workstations running X Window System		C
+-! XWDRIV 2 /XSERVE    Persistent window on X Window System		C
++X2DRIV 0 /XDISP     PGDISP or FIGDISP server for X workstations	C
++XWDRIV 1 /XWINDOW   Workstations running X Window System		C
++XWDRIV 2 /XSERVE    Persistent window on X Window System		C
+ ! ZEDRIV 0 /ZETA      Zeta 8 Digital Plotter
+ !
+ ! The following drivers can only be used in PGPLOT installations on MS-DOS
diff -urN files.orig/patch-drivers_x11.list files/patch-drivers_x11.list
--- files.orig/patch-drivers_x11.list	2008-07-02 18:49:20.000000000 -0400
+++ files/patch-drivers_x11.list	1969-12-31 19:00:00.000000000 -0500
@@ -1,15 +0,0 @@
---- drivers.list.orig	Mon May  3 23:02:15 1999
-+++ drivers.list	Tue Sep 14 14:39:39 2004
-@@ -67,9 +67,9 @@
- ! WDDRIV 1 /WD        X Window dump file, landscape
- ! WDDRIV 2 /VWD       X Window dump file, portrait
- ! WSDRIV 0 /WS        VAX workstations running VWS software		VMS
--! X2DRIV 0 /XDISP     PGDISP or FIGDISP server for X workstations	C
--! XWDRIV 1 /XWINDOW   Workstations running X Window System		C
--! XWDRIV 2 /XSERVE    Persistent window on X Window System		C
-+X2DRIV 0 /XDISP     PGDISP or FIGDISP server for X workstations	C
-+XWDRIV 1 /XWINDOW   Workstations running X Window System		C
-+XWDRIV 2 /XSERVE    Persistent window on X Window System		C
- ! ZEDRIV 0 /ZETA      Zeta 8 Digital Plotter
- !
- ! The following drivers can only be used in PGPLOT installations on MS-DOS
diff -urN files.orig/patch-local.conf files/patch-local.conf
--- files.orig/patch-local.conf	1969-12-31 19:00:00.000000000 -0500
+++ files/patch-local.conf	2008-07-02 18:50:27.000000000 -0400
@@ -0,0 +1,148 @@
+*** local.conf.orig	2008-07-02 12:46:47.000000000 -0400
+--- local.conf	2008-07-02 12:47:18.000000000 -0400
+***************
+*** 0 ****
+--- 1,143 ----
++ # The MacPorts build on Darwin.
++ #-----------------------------------------------------------------------
++ 
++ # Optional: Needed by XWDRIV (/xwindow and /xserve) and
++ #           X2DRIV (/xdisp and /figdisp).
++ # The arguments needed by the C compiler to locate X-window include files.
++  
++    XINCL="-I@@X11PREFIX@@/include"
++ 
++ # Optional: Needed by XMDRIV (/xmotif).
++ # The arguments needed by the C compiler to locate Motif, Xt and
++ # X-window include files.
++  
++    MOTIF_INCL=""
++ 
++ # Optional: Needed by XADRIV (/xathena).
++ # The arguments needed by the C compiler to locate Xaw, Xt and
++ # X-window include files.
++  
++    ATHENA_INCL=""
++ 
++ # Optional: Needed by TKDRIV (/xtk).
++ # The arguments needed by the C compiler to locate Tcl, Tk and
++ # X-window include files.
++  
++    TK_INCL=""
++ 
++ # Optional: Needed by RVDRIV (/xrv).
++ # The arguments needed by the C compiler to locate Rivet, Tcl, Tk and
++ # X-window include files.
++  
++    RV_INCL=""
++ 
++ # Mandatory.
++ # The FORTRAN compiler to use.
++  
++    FCOMPL="@@FCOMPL@@"
++ 
++ # Mandatory.
++ # The FORTRAN compiler flags to use when compiling the pgplot library.
++ # (NB. makemake prepends -c to $FFLAGC where needed)
++  
++    FFLAGC="@@FC_OPT@@ -I@@PREFIX@@/include @@AQTINC@@"
++ 
++ # Mandatory.
++ # The FORTRAN compiler flags to use when compiling fortran demo programs.
++ # This may need to include a flag to tell the compiler not to treat
++ # backslash characters as C-style escape sequences
++  
++    FFLAGD="@@FD_OPT@@"
++ 
++ # Mandatory.
++ # The C compiler to use.
++  
++    CCOMPL="@@CCOMPL@@"
++ 
++ # Mandatory.
++ # The C compiler flags to use when compiling the pgplot library.
++  
++    CFLAGC="@@CC_OPT@@ -I@@PREFIX@@/include @@AQTINC@@"
++ 
++ # Mandatory.
++ # The C compiler flags to use when compiling C demo programs.
++  
++    CFLAGD="@@CD_OPT@@"
++ 
++ # Optional: Only needed if the cpgplot library is to be compiled.
++ # The flags to use when running pgbind to create the C pgplot wrapper
++ # library. (See pgplot/cpg/pgbind.usage)
++  
++    PGBIND_FLAGS="bsd"
++ 
++ # Mandatory.
++ # The library-specification flags to use when linking normal pgplot
++ # demo programs.
++  
++    LIBS="-L@@PREFIX@@/lib @@XLIB@@ @@AQTLIB@@"
++ 
++ # Optional: Needed by XMDRIV (/xmotif).
++ # The library-specification flags to use when linking motif
++ # demo programs.
++  
++    MOTIF_LIBS=""
++ 
++ # Optional: Needed by XADRIV (/xathena).
++ # The library-specification flags to use when linking athena
++ # demo programs.
++  
++    ATHENA_LIBS=""
++ 
++ # Optional: Needed by TKDRIV (/xtk).
++ # The library-specification flags to use when linking Tk demo programs.
++ # Note that you may need to append version numbers to -ltk and -ltcl.
++  
++    TK_LIBS=""
++ 
++ # Mandatory.
++ # On systems that have a ranlib utility, put "ranlib" here. On other
++ # systems put ":" here (Colon is the Bourne-shell do-nothing command).
++  
++    RANLIB="ranlib"
++ 
++ # Optional: Needed on systems that support shared libraries.
++ # The name to give the shared pgplot library.
++  
++    SHARED_LIB="@@SHARED_LIB@@"
++ 
++ # Optional: Needed if SHARED_LIB is set.
++ # How to create a shared library from a trailing list of object files.
++  
++    SHARED_LD="@@SHARED_LD@@"
++ 
++ # Optional:
++ # On systems such as Solaris 2.x, that allow specification of the
++ # libraries that a shared library needs to be linked with when a
++ # program that uses it is run, this variable should contain the
++ # library-specification flags used to specify these libraries to
++ # $SHARED_LD
++  
++    SHARED_LIB_LIBS="@@SHARED_LIB_LIBS@@"
++ 
++ # Optional:
++ # Compiler name used on Next systems to compile objective-C files.
++  
++    MCOMPL="@@MCOMPL@@"
++ 
++ # Optional:
++ # Compiler flags used with MCOMPL when compiling objective-C files.
++  
++    MFLAGC="@@MC_OPT@@"
++ 
++ # Optional: (Actually mandatory, but already defined by makemake).
++ # Where to look for any system-specific versions of the files in
++ # pgplot/sys. Before evaluating this script, makemake sets SYSDIR to
++ # /wherever/pgplot/sys_$OS, where $OS is the operating-system name
++ # given by the second command-line argument of makemake. If the
++ # present configuration is one of many for this OS, and it needs
++ # different modifications to files in pgplot/sys than the other
++ # configurations, then you should create a subdirectory of SYSDIR,
++ # place the modified files in it and change the following line to
++ # $SYSDIR="$SYSDIR/subdirectory_name".
++  
++    SYSDIR="$SYSDIR"
diff -urN files.orig/patch-sys_darwin_g77_gcc.conf files/patch-sys_darwin_g77_gcc.conf
--- files.orig/patch-sys_darwin_g77_gcc.conf	2008-07-02 18:49:20.000000000 -0400
+++ files/patch-sys_darwin_g77_gcc.conf	1969-12-31 19:00:00.000000000 -0500
@@ -1,146 +0,0 @@
---- ../sys_darwin/g77_gcc.conf.orig	Wed Dec 31 17:00:00 1969
-+++ ../sys_darwin/g77_gcc.conf	Mon May 17 17:25:36 2004
-@@ -0,0 +1,143 @@
-+# The GNU g77 FORTRAN compiler and Gnu gcc C compiler on Darwin.
-+#-----------------------------------------------------------------------
-+
-+# Optional: Needed by XWDRIV (/xwindow and /xserve) and
-+#           X2DRIV (/xdisp and /figdisp).
-+# The arguments needed by the C compiler to locate X-window include files.
-+ 
-+   XINCL="-I@@X11PREFIX@@/include"
-+
-+# Optional: Needed by XMDRIV (/xmotif).
-+# The arguments needed by the C compiler to locate Motif, Xt and
-+# X-window include files.
-+ 
-+   MOTIF_INCL=""
-+
-+# Optional: Needed by XADRIV (/xathena).
-+# The arguments needed by the C compiler to locate Xaw, Xt and
-+# X-window include files.
-+ 
-+   ATHENA_INCL=""
-+
-+# Optional: Needed by TKDRIV (/xtk).
-+# The arguments needed by the C compiler to locate Tcl, Tk and
-+# X-window include files.
-+ 
-+   TK_INCL=""
-+
-+# Optional: Needed by RVDRIV (/xrv).
-+# The arguments needed by the C compiler to locate Rivet, Tcl, Tk and
-+# X-window include files.
-+ 
-+   RV_INCL=""
-+
-+# Mandatory.
-+# The FORTRAN compiler to use.
-+ 
-+   FCOMPL="g77-dp-3.4"
-+
-+# Mandatory.
-+# The FORTRAN compiler flags to use when compiling the pgplot library.
-+# (NB. makemake prepends -c to $FFLAGC where needed)
-+ 
-+   FFLAGC="-Wimplicit -Wall -O -I@@PREFIX@@/include"
-+
-+# Mandatory.
-+# The FORTRAN compiler flags to use when compiling fortran demo programs.
-+# This may need to include a flag to tell the compiler not to treat
-+# backslash characters as C-style escape sequences
-+ 
-+   FFLAGD="-fno-backslash $FFLAGC"
-+
-+# Mandatory.
-+# The C compiler to use.
-+ 
-+   CCOMPL="gcc"
-+
-+# Mandatory.
-+# The C compiler flags to use when compiling the pgplot library.
-+ 
-+   CFLAGC="-Wall -DPG_PPU -O3 -I@@PREFIX@@/include"
-+
-+# Mandatory.
-+# The C compiler flags to use when compiling C demo programs.
-+ 
-+   CFLAGD="$CFLAGC"
-+
-+# Optional: Only needed if the cpgplot library is to be compiled.
-+# The flags to use when running pgbind to create the C pgplot wrapper
-+# library. (See pgplot/cpg/pgbind.usage)
-+ 
-+   PGBIND_FLAGS="bsd"
-+
-+# Mandatory.
-+# The library-specification flags to use when linking normal pgplot
-+# demo programs.
-+ 
-+   LIBS="-L@@PREFIX@@/lib -L@@X11PREFIX@@/lib -lX11"
-+
-+# Optional: Needed by XMDRIV (/xmotif).
-+# The library-specification flags to use when linking motif
-+# demo programs.
-+ 
-+   MOTIF_LIBS=""
-+
-+# Optional: Needed by XADRIV (/xathena).
-+# The library-specification flags to use when linking athena
-+# demo programs.
-+ 
-+   ATHENA_LIBS=""
-+
-+# Optional: Needed by TKDRIV (/xtk).
-+# The library-specification flags to use when linking Tk demo programs.
-+# Note that you may need to append version numbers to -ltk and -ltcl.
-+ 
-+   TK_LIBS=""
-+
-+# Mandatory.
-+# On systems that have a ranlib utility, put "ranlib" here. On other
-+# systems put ":" here (Colon is the Bourne-shell do-nothing command).
-+ 
-+   RANLIB="ranlib"
-+
-+# Optional: Needed on systems that support shared libraries.
-+# The name to give the shared pgplot library.
-+ 
-+   SHARED_LIB=""
-+
-+# Optional: Needed if SHARED_LIB is set.
-+# How to create a shared library from a trailing list of object files.
-+ 
-+   SHARED_LD=""
-+
-+# Optional:
-+# On systems such as Solaris 2.x, that allow specification of the
-+# libraries that a shared library needs to be linked with when a
-+# program that uses it is run, this variable should contain the
-+# library-specification flags used to specify these libraries to
-+# $SHARED_LD
-+ 
-+   SHARED_LIB_LIBS=""
-+
-+# Optional:
-+# Compiler name used on Next systems to compile objective-C files.
-+ 
-+   MCOMPL=""
-+
-+# Optional:
-+# Compiler flags used with MCOMPL when compiling objective-C files.
-+ 
-+   MFLAGC=""
-+
-+# Optional: (Actually mandatory, but already defined by makemake).
-+# Where to look for any system-specific versions of the files in
-+# pgplot/sys. Before evaluating this script, makemake sets SYSDIR to
-+# /wherever/pgplot/sys_$OS, where $OS is the operating-system name
-+# given by the second command-line argument of makemake. If the
-+# present configuration is one of many for this OS, and it needs
-+# different modifications to files in pgplot/sys than the other
-+# configurations, then you should create a subdirectory of SYSDIR,
-+# place the modified files in it and change the following line to
-+# $SYSDIR="$SYSDIR/subdirectory_name".
-+ 
-+   SYSDIR="$SYSDIR"
diff -urN files.orig/patch-sys_darwin_g77_gcc.conf_aqt files/patch-sys_darwin_g77_gcc.conf_aqt
--- files.orig/patch-sys_darwin_g77_gcc.conf_aqt	2008-07-02 18:49:20.000000000 -0400
+++ files/patch-sys_darwin_g77_gcc.conf_aqt	1969-12-31 19:00:00.000000000 -0500
@@ -1,65 +0,0 @@
---- ../sys_darwin/g77_gcc.conf.org	2006-04-19 12:15:45.000000000 -0500
-+++ ../sys_darwin/g77_gcc.conf	2006-04-19 12:16:16.000000000 -0500
-@@ -40,7 +40,7 @@
- # The FORTRAN compiler flags to use when compiling the pgplot library.
- # (NB. makemake prepends -c to $FFLAGC where needed)
-  
--   FFLAGC="-Wimplicit -Wall -O -I@@PREFIX@@/include"
-+   FFLAGC="-Wimplicit -Wall -O -I@@PREFIX@@/include -I@@PREFIX@@/include/aquaterm"
- 
- # Mandatory.
- # The FORTRAN compiler flags to use when compiling fortran demo programs.
-@@ -57,7 +57,7 @@
- # Mandatory.
- # The C compiler flags to use when compiling the pgplot library.
-  
--   CFLAGC="-Wall -DPG_PPU -O3 -I@@PREFIX@@/include"
-+   CFLAGC="-Wall -DPG_PPU -O3 -I@@PREFIX@@/include -I@@PREFIX@@/include/aquaterm"
- 
- # Mandatory.
- # The C compiler flags to use when compiling C demo programs.
-@@ -74,7 +74,7 @@
- # The library-specification flags to use when linking normal pgplot
- # demo programs.
-  
--   LIBS="-L@@PREFIX@@/lib -L@@X11PREFIX@@/lib -lX11"
-+   LIBS="-L@@PREFIX@@/lib -L@@X11PREFIX@@/lib -lX11 -Wl,-framework -Wl,Foundation"
- 
- # Optional: Needed by XMDRIV (/xmotif).
- # The library-specification flags to use when linking motif
-@@ -103,12 +103,12 @@
- # Optional: Needed on systems that support shared libraries.
- # The name to give the shared pgplot library.
-  
--   SHARED_LIB=""
-+   SHARED_LIB="libpgplot.dylib"
- 
- # Optional: Needed if SHARED_LIB is set.
- # How to create a shared library from a trailing list of object files.
-  
--   SHARED_LD=""
-+   SHARED_LD="gcc -dynamiclib -single_module -o $SHARED_LIB -install_name @@PREFIX@@/lib/$SHARED_LIB"
- 
- # Optional:
- # On systems such as Solaris 2.x, that allow specification of the
-@@ -117,17 +117,17 @@
- # library-specification flags used to specify these libraries to
- # $SHARED_LD
-  
--   SHARED_LIB_LIBS=""
-+   SHARED_LIB_LIBS="$LIBS -L@@PREFIX@@/lib/gcc-3.4 -lg2c -lSystem -laquaterm -lpng"
- 
- # Optional:
- # Compiler name used on Next systems to compile objective-C files.
-  
--   MCOMPL=""
-+   MCOMPL="gcc"
- 
- # Optional:
- # Compiler flags used with MCOMPL when compiling objective-C files.
-  
--   MFLAGC=""
-+   MFLAGC="-no-cpp-precomp -DPG_PPU -O2 -I. -I@@PREFIX@@/include/aquaterm"
- 
- # Optional: (Actually mandatory, but already defined by makemake).
- # Where to look for any system-specific versions of the files in
diff -urN files.orig/patch-sys_darwin_gfortran_gcc_42.conf files/patch-sys_darwin_gfortran_gcc_42.conf
--- files.orig/patch-sys_darwin_gfortran_gcc_42.conf	2008-07-02 18:49:20.000000000 -0400
+++ files/patch-sys_darwin_gfortran_gcc_42.conf	1969-12-31 19:00:00.000000000 -0500
@@ -1,147 +0,0 @@
---- ../sys_darwin/gfortran_gcc_42.conf.orig	Wed Dec 31 17:00:00 1969
-+++ ../sys_darwin/gfortran_gcc_42.conf	Mon May 17 17:25:36 2004
-@@ -0,0 +1,144 @@
-+# The MacPorts build of version 4.2 of the GNU gfortran compiler
-+# and GNU gcc C compiler on Darwin.
-+#-----------------------------------------------------------------------
-+
-+# Optional: Needed by XWDRIV (/xwindow and /xserve) and
-+#           X2DRIV (/xdisp and /figdisp).
-+# The arguments needed by the C compiler to locate X-window include files.
-+ 
-+   XINCL="-I@@X11PREFIX@@/include"
-+
-+# Optional: Needed by XMDRIV (/xmotif).
-+# The arguments needed by the C compiler to locate Motif, Xt and
-+# X-window include files.
-+ 
-+   MOTIF_INCL=""
-+
-+# Optional: Needed by XADRIV (/xathena).
-+# The arguments needed by the C compiler to locate Xaw, Xt and
-+# X-window include files.
-+ 
-+   ATHENA_INCL=""
-+
-+# Optional: Needed by TKDRIV (/xtk).
-+# The arguments needed by the C compiler to locate Tcl, Tk and
-+# X-window include files.
-+ 
-+   TK_INCL=""
-+
-+# Optional: Needed by RVDRIV (/xrv).
-+# The arguments needed by the C compiler to locate Rivet, Tcl, Tk and
-+# X-window include files.
-+ 
-+   RV_INCL=""
-+
-+# Mandatory.
-+# The FORTRAN compiler to use.
-+ 
-+   FCOMPL="gfortran-mp-4.2"
-+
-+# Mandatory.
-+# The FORTRAN compiler flags to use when compiling the pgplot library.
-+# (NB. makemake prepends -c to $FFLAGC where needed)
-+ 
-+   FFLAGC="-Wall -O -I@@PREFIX@@/include"
-+
-+# Mandatory.
-+# The FORTRAN compiler flags to use when compiling fortran demo programs.
-+# This may need to include a flag to tell the compiler not to treat
-+# backslash characters as C-style escape sequences
-+ 
-+   FFLAGD="-fno-backslash $FFLAGC"
-+
-+# Mandatory.
-+# The C compiler to use.
-+ 
-+   CCOMPL="gcc-mp-4.2"
-+
-+# Mandatory.
-+# The C compiler flags to use when compiling the pgplot library.
-+ 
-+   CFLAGC="-Wall -DPG_PPU -O3 -I@@PREFIX@@/include"
-+
-+# Mandatory.
-+# The C compiler flags to use when compiling C demo programs.
-+ 
-+   CFLAGD="$CFLAGC"
-+
-+# Optional: Only needed if the cpgplot library is to be compiled.
-+# The flags to use when running pgbind to create the C pgplot wrapper
-+# library. (See pgplot/cpg/pgbind.usage)
-+ 
-+   PGBIND_FLAGS="bsd"
-+
-+# Mandatory.
-+# The library-specification flags to use when linking normal pgplot
-+# demo programs.
-+ 
-+   LIBS="-L@@PREFIX@@/lib -L@@X11PREFIX@@/lib -lX11"
-+
-+# Optional: Needed by XMDRIV (/xmotif).
-+# The library-specification flags to use when linking motif
-+# demo programs.
-+ 
-+   MOTIF_LIBS=""
-+
-+# Optional: Needed by XADRIV (/xathena).
-+# The library-specification flags to use when linking athena
-+# demo programs.
-+ 
-+   ATHENA_LIBS=""
-+
-+# Optional: Needed by TKDRIV (/xtk).
-+# The library-specification flags to use when linking Tk demo programs.
-+# Note that you may need to append version numbers to -ltk and -ltcl.
-+ 
-+   TK_LIBS=""
-+
-+# Mandatory.
-+# On systems that have a ranlib utility, put "ranlib" here. On other
-+# systems put ":" here (Colon is the Bourne-shell do-nothing command).
-+ 
-+   RANLIB="ranlib"
-+
-+# Optional: Needed on systems that support shared libraries.
-+# The name to give the shared pgplot library.
-+ 
-+   SHARED_LIB=""
-+
-+# Optional: Needed if SHARED_LIB is set.
-+# How to create a shared library from a trailing list of object files.
-+ 
-+   SHARED_LD=""
-+
-+# Optional:
-+# On systems such as Solaris 2.x, that allow specification of the
-+# libraries that a shared library needs to be linked with when a
-+# program that uses it is run, this variable should contain the
-+# library-specification flags used to specify these libraries to
-+# $SHARED_LD
-+ 
-+   SHARED_LIB_LIBS=""
-+
-+# Optional:
-+# Compiler name used on Next systems to compile objective-C files.
-+ 
-+   MCOMPL=""
-+
-+# Optional:
-+# Compiler flags used with MCOMPL when compiling objective-C files.
-+ 
-+   MFLAGC=""
-+
-+# Optional: (Actually mandatory, but already defined by makemake).
-+# Where to look for any system-specific versions of the files in
-+# pgplot/sys. Before evaluating this script, makemake sets SYSDIR to
-+# /wherever/pgplot/sys_$OS, where $OS is the operating-system name
-+# given by the second command-line argument of makemake. If the
-+# present configuration is one of many for this OS, and it needs
-+# different modifications to files in pgplot/sys than the other
-+# configurations, then you should create a subdirectory of SYSDIR,
-+# place the modified files in it and change the following line to
-+# $SYSDIR="$SYSDIR/subdirectory_name".
-+ 
-+   SYSDIR="$SYSDIR"
diff -urN files.orig/patch-sys_darwin_gfortran_gcc_42.conf_aqt files/patch-sys_darwin_gfortran_gcc_42.conf_aqt
--- files.orig/patch-sys_darwin_gfortran_gcc_42.conf_aqt	2008-07-02 18:49:20.000000000 -0400
+++ files/patch-sys_darwin_gfortran_gcc_42.conf_aqt	1969-12-31 19:00:00.000000000 -0500
@@ -1,65 +0,0 @@
---- ../sys_darwin/gfortran_gcc_42.conf.org	2006-04-19 12:15:45.000000000 -0500
-+++ ../sys_darwin/gfortran_gcc_42.conf	2006-04-19 12:16:16.000000000 -0500
-@@ -41,7 +41,7 @@
- # The FORTRAN compiler flags to use when compiling the pgplot library.
- # (NB. makemake prepends -c to $FFLAGC where needed)
-  
--   FFLAGC="-Wall -O -I@@PREFIX@@/include"
-+   FFLAGC="-Wall -O -I@@PREFIX@@/include -I@@PREFIX@@/include/aquaterm"
- 
- # Mandatory.
- # The FORTRAN compiler flags to use when compiling fortran demo programs.
-@@ -58,7 +58,7 @@
- # Mandatory.
- # The C compiler flags to use when compiling the pgplot library.
-  
--   CFLAGC="-Wall -DPG_PPU -O3 -I@@PREFIX@@/include"
-+   CFLAGC="-Wall -DPG_PPU -O3 -I@@PREFIX@@/include -I@@PREFIX@@/include/aquaterm"
- 
- # Mandatory.
- # The C compiler flags to use when compiling C demo programs.
-@@ -75,7 +75,7 @@
- # The library-specification flags to use when linking normal pgplot
- # demo programs.
-  
--   LIBS="-L@@PREFIX@@/lib -L@@X11PREFIX@@/lib -lX11"
-+   LIBS="-L@@PREFIX@@/lib -L@@X11PREFIX@@/lib -lX11 -Wl,-framework -Wl,Foundation"
- 
- # Optional: Needed by XMDRIV (/xmotif).
- # The library-specification flags to use when linking motif
-@@ -104,12 +104,12 @@
- # Optional: Needed on systems that support shared libraries.
- # The name to give the shared pgplot library.
-  
--   SHARED_LIB=""
-+   SHARED_LIB="libpgplot.dylib"
- 
- # Optional: Needed if SHARED_LIB is set.
- # How to create a shared library from a trailing list of object files.
-  
--   SHARED_LD=""
-+   SHARED_LD="gcc-mp-4.2 -dynamiclib -single_module -o $SHARED_LIB -install_name @@PREFIX@@/lib/$SHARED_LIB"
- 
- # Optional:
- # On systems such as Solaris 2.x, that allow specification of the
-@@ -118,17 +118,17 @@
- # library-specification flags used to specify these libraries to
- # $SHARED_LD
-  
--   SHARED_LIB_LIBS=""
-+   SHARED_LIB_LIBS="$LIBS -lgfortran -lSystem -laquaterm -lpng"
- 
- # Optional:
- # Compiler name used on Next systems to compile objective-C files.
-  
--   MCOMPL=""
-+   MCOMPL="gcc-mp-4.2"
- 
- # Optional:
- # Compiler flags used with MCOMPL when compiling objective-C files.
-  
--   MFLAGC=""
-+   MFLAGC="-no-cpp-precomp -DPG_PPU -O2 -I. -I@@PREFIX@@/include/aquaterm"
- 
- # Optional: (Actually mandatory, but already defined by makemake).
- # Where to look for any system-specific versions of the files in