Index: src/port/port.tcl
===================================================================
--- src/port/port.tcl	(revision 45433)
+++ src/port/port.tcl	(working copy)
@@ -2639,7 +2639,7 @@
 
                     # Try to open a browser to the homepage for the given port
                     if { $homepage != "" } {
-                        system "${macports::autoconf::open_path} '$homepage'"
+                        system "open '$homepage'"
                     } else {
                         ui_error [format "No homepage for %s" $portname]
                     }
Index: src/registry1.0/receipt_flat.tcl
===================================================================
--- src/registry1.0/receipt_flat.tcl	(revision 45433)
+++ src/registry1.0/receipt_flat.tcl	(working copy)
@@ -146,9 +146,9 @@
 		set receipt_file [file join ${receipt_path} receipt]
 	}
 
-	if { [file exists ${receipt_file}.bz2] && [file exists ${registry::autoconf::bzip2_path}] } {
+	if { [file exists ${receipt_file}.bz2] } {
 		set receipt_file ${receipt_file}.bz2
-		set receipt_contents [exec ${registry::autoconf::bzip2_path} -d -c ${receipt_file}]
+		set receipt_contents [exec bzip2 -d -c ${receipt_file}]
 	} elseif { [file exists ${receipt_file}] } {
 		set receipt_handle [open ${receipt_file} r]
 		set receipt_contents [read $receipt_handle]
@@ -325,8 +325,8 @@
 
 	system "mv ${receipt_file}.tmp ${receipt_file}"
 
-	if { [file exists ${receipt_file}] && [file exists ${registry::autoconf::bzip2_path}] && ![info exists registry.nobzip] } {
-		system "${registry::autoconf::bzip2_path} -f ${receipt_file}"
+	if { [file exists ${receipt_file}] && ![info exists registry.nobzip] } {
+		system "bzip2 -f ${receipt_file}"
 	}
 
 	return 1
@@ -527,8 +527,8 @@
 
 	if { ![file exists ${map_file}.db] } {
 		# Convert to new format
-		if { [file exists ${map_file}.bz2] && [file exists ${registry::autoconf::bzip2_path}] } {
-			set old_filemap [exec ${registry::autoconf::bzip2_path} -d -c ${map_file}.bz2]
+		if { [file exists ${map_file}.bz2] } {
+			set old_filemap [exec bzip2 -d -c ${map_file}.bz2]
 		} elseif { [file exists $map_file] } {		
 			set map_handle [open ${map_file} r]
 			set old_filemap [read $map_handle]
@@ -703,8 +703,8 @@
 
 	set map_file [file join ${receipt_path} dep_map]
 
-	if { [file exists ${map_file}.bz2] && [file exists ${registry::autoconf::bzip2_path}] } {
-		set dep_map [exec ${registry::autoconf::bzip2_path} -d -c ${map_file}.bz2]
+	if { [file exists ${map_file}.bz2] } {
+		set dep_map [exec bzip2 -d -c ${map_file}.bz2]
 	} elseif { [file exists ${map_file}] } {
 		set map_handle [open ${map_file} r]
 		set dep_map [read $map_handle]
@@ -806,8 +806,8 @@
 
     file rename ${map_file}.tmp ${map_file}
 
-	if { [file exists ${map_file}] && [file exists ${registry::autoconf::bzip2_path}] && ![info exists registry.nobzip] } {
-		system "${registry::autoconf::bzip2_path} -f ${map_file}"
+	if { [file exists ${map_file}] && ![info exists registry.nobzip] } {
+		system "bzip2 -f ${map_file}"
 	}
 
 	return 1
Index: src/registry1.0/registry_autoconf.tcl.in
===================================================================
--- src/registry1.0/registry_autoconf.tcl.in	(revision 45433)
+++ src/registry1.0/registry_autoconf.tcl.in	(working copy)
@@ -31,5 +31,4 @@
 package provide registry 1.0
 
 namespace eval registry::autoconf {
-    variable bzip2_path "@BZIP2@"
 }
Index: src/port1.0/portfetch.tcl
===================================================================
--- src/port1.0/portfetch.tcl	(revision 45433)
+++ src/port1.0/portfetch.tcl	(working copy)
@@ -58,7 +58,7 @@
 default extract.suffix .tar.gz
 default fetch.type standard
 
-default cvs.cmd {$portutil::autoconf::cvs_path}
+default cvs.cmd {cvs}
 default cvs.password ""
 default cvs.dir {${workpath}}
 default cvs.method {export}
@@ -70,7 +70,7 @@
 default cvs.args ""
 default cvs.post_args {"${cvs.module}"}
 
-default svn.cmd {$portutil::autoconf::svn_path}
+default svn.cmd {svn}
 default svn.dir {${workpath}}
 default svn.method {export}
 default svn.tag ""
@@ -470,7 +470,7 @@
 	set savecmd ${cvs.cmd}
 	set saveargs ${cvs.args}
 	set savepost_args ${cvs.post_args}
-	set cvs.cmd "echo ${cvs.password} | $portutil::autoconf::cvs_path"
+	set cvs.cmd "echo ${cvs.password} | cvs"
 	set cvs.args login
 	set cvs.post_args ""
 	if {[catch {command_exec cvs -notty "" "2>&1"} result]} {
@@ -536,7 +536,7 @@
     
     # Look for the git command
     set git.cmd {}
-    foreach gitcmd "$portutil::autoconf::git_path $prefix_frozen/bin/git git" {
+    foreach gitcmd "$prefix_frozen/bin/git git" {
         if {[file executable $gitcmd]} {
             set git.cmd $gitcmd
             break
Index: src/port1.0/portdestroot.tcl
===================================================================
--- src/port1.0/portdestroot.tcl	(revision 45433)
+++ src/port1.0/portdestroot.tcl	(working copy)
@@ -92,7 +92,6 @@
     ui_msg "$UI_PREFIX [format [msgcat::mc "Staging %s into destroot"] ${portname}]"
 
     set oldmask [umask ${destroot.umask}]
-    set mtree ${portutil::autoconf::mtree_path}
     
     if { ${destroot.clean} == "yes" } {
         system "rm -Rf \"${destroot}\""
@@ -100,10 +99,10 @@
     
     file mkdir "${destroot}"
     if { ${os.platform} == "darwin" } {
-        system "cd \"${destroot}\" && ${mtree} -e -U -f [file join ${portsharepath} install macosx.mtree]"
+        system "cd \"${destroot}\" && mtree -e -U -f [file join ${portsharepath} install macosx.mtree]"
         file mkdir "${destroot}/${applications_dir}"
         file mkdir "${destroot}/${frameworks_dir}"
     }
     file mkdir "${destroot}/${prefix}"
-    system "cd \"${destroot}/${prefix}\" && ${mtree} -e -U -f [file join ${portsharepath} install prefix.mtree]"
+    system "cd \"${destroot}/${prefix}\" && mtree -e -U -f [file join ${portsharepath} install prefix.mtree]"
 }
 
 proc destroot_main {args} {
Index: src/port1.0/port_autoconf.tcl.in
===================================================================
--- src/port1.0/port_autoconf.tcl.in	(revision 45433)
+++ src/port1.0/port_autoconf.tcl.in	(working copy)
@@ -31,12 +31,6 @@
 package provide port 1.0
 
 namespace eval portutil::autoconf {
-	variable cvs_path "@CVS@"
-	variable svn_path "@SVN@"
-	variable git_path "@GIT@"
-	variable rsync_path "@RSYNC@"
-	variable mtree_path "@MTREE@"
-	variable xar_path "@XAR@"
 	variable sed_command "@SED@"
 	variable sed_ext_flag "@SED_EXT@"
 	variable tar_command "@TAR_CMD@"
Index: src/macports1.0/macports.tcl
===================================================================
--- src/macports1.0/macports.tcl	(revision 45433)
+++ src/macports1.0/macports.tcl	(working copy)
@@ -1413,7 +1413,6 @@
 proc mportsync {{optionslist {}}} {
     global macports::sources macports::portdbpath macports::rsync_options tcl_platform
     global macports::portverbose
-    global macports::autoconf::rsync_path
     array set options $optionslist
 
     set numfailed 0
@@ -1431,7 +1430,7 @@
             {^file$} {
                 set portdir [macports::getportdir $source]
                 if {[file exists $portdir/.svn]} {
-                    set svn_commandline "[macports::findBinary svn ${macports::autoconf::svn_path}] update --non-interactive ${portdir}"
+                    set svn_commandline "[macports::findBinary svn] update --non-interactive ${portdir}"
                     ui_debug $svn_commandline
                     if {
                         [catch {
@@ -1464,7 +1463,7 @@
                     set source "${source}/"
                 }
                 # Do rsync fetch
-                set rsync_commandline "${macports::autoconf::rsync_path} ${rsync_options} ${source} ${destdir}"
+                set rsync_commandline "rsync ${rsync_options} ${source} ${destdir}"
                 ui_debug $rsync_commandline
                 if {[catch {system $rsync_commandline}]} {
                     ui_error "Synchronization of the local ports tree failed doing rsync"
@@ -1810,7 +1809,7 @@
 # selfupdate procedure
 proc macports::selfupdate {{optionslist {}}} {
     global macports::prefix macports::portdbpath macports::libpath macports::rsync_server macports::rsync_dir macports::rsync_options
-    global macports::autoconf::macports_version macports::autoconf::rsync_path
+    global macports::autoconf::macports_version
     array set options $optionslist
     
     # syncing ports tree.
@@ -1829,7 +1828,7 @@
     
     # sync the MacPorts sources
     ui_debug "Updating MacPorts sources using rsync"
-    if { [catch { system "$rsync_path $rsync_options rsync://${rsync_server}/${rsync_dir} $mp_source_path" } result ] } {
+    if { [catch { system "rsync $rsync_options rsync://${rsync_server}/${rsync_dir} $mp_source_path" } result ] } {
        return -code error "Error synchronizing MacPorts sources: $result"
     }
 
Index: src/macports1.0/macports_autoconf.tcl.in
===================================================================
--- src/macports1.0/macports_autoconf.tcl.in	(revision 45433)
+++ src/macports1.0/macports_autoconf.tcl.in	(working copy)
@@ -35,7 +35,4 @@
     variable macports_conf_path "@MPCONFIGDIR_EXPANDED@"
     variable macports_version "@MACPORTS_VERSION@"
     variable macports_user_dir "~/.macports"
-    variable svn_path "@SVN@"
-    variable rsync_path "@RSYNC@"
-    variable open_path "@OPEN@"
 }