Index: archivers/szip/Portfile
===================================================================
--- archivers/szip/Portfile	(revision 38079)
+++ archivers/szip/Portfile	(working copy)
@@ -20,7 +20,7 @@
 master_sites	ftp://ftp.hdfgroup.org/lib-external/szip/${version}/src/
 checksums	md5 21383e286267021cbe93cbb2698bf8b9
 
-configure.args	--prefix=${prefix} --disable-encoding
+configure.args	--disable-encoding
 
 variant encoder {
 	configure.args-delete	--disable-encoding
Index: audio/arts/Portfile
===================================================================
--- audio/arts/Portfile	(revision 38079)
+++ audio/arts/Portfile	(working copy)
@@ -124,8 +124,7 @@
                 LD_LIBRARY_PATH=${x11prefix}/lib:${prefix}/lib
 configure.cflags        -Os
 configure.cxxflags      -Os
-configure.args  --prefix=${prefix} \
-                --includedir=${prefix}/include \
+configure.args  --includedir=${prefix}/include \
                 --libdir=${prefix}/lib \
                 --with-extra-includes=${prefix}/include \
                 --with-extra-libs=${prefix}/lib \
Index: cross/avr-libc/Portfile
===================================================================
--- cross/avr-libc/Portfile	(revision 38079)
+++ cross/avr-libc/Portfile	(working copy)
@@ -17,5 +17,5 @@
 depends_lib			port:avr-gcc
 depends_build			port:binutils
 
-configure.args		--prefix=${prefix} --host=avr --build=`./config.guess`
+configure.args		--host=avr --build=`./config.guess`
 
Index: devel/arabica/Portfile
===================================================================
--- devel/arabica/Portfile	(revision 38079)
+++ devel/arabica/Portfile	(working copy)
@@ -24,8 +24,7 @@
 depends_lib         port:libxml2 \
                     port:boost
 
-configure.args      --prefix=${prefix} \
-                    --with-parser=libxml2 \
+configure.args      --with-parser=libxml2 \
                     --with-libxml2=${prefix} \
                     --with-boost=${prefix}
 
Index: devel/fuzz/Portfile
===================================================================
--- devel/fuzz/Portfile	(revision 38079)
+++ devel/fuzz/Portfile	(working copy)
@@ -11,7 +11,7 @@
 homepage        	http://fuzz.sourceforge.net/
 master_sites    	sourceforge
 checksums     		md5 8c8e7c49729e0a98c0414faac7778ec7
-configure.args		--prefix=${prefix} --mandir=${prefix}/share/man
+configure.args		--mandir=${prefix}/share/man
 long_description 	The fuzz generator is designed to attack certain kinds \
 			of software and expose one particular kind of bug \
 			common in software. This is the situation where the \
Index: devel/nspr/Portfile
===================================================================
--- devel/nspr/Portfile	(revision 38079)
+++ devel/nspr/Portfile	(working copy)
@@ -25,8 +25,7 @@
 		${worksrcpath}/configure
 }
 
-configure.args	--prefix=${prefix} \
-		--disable-debug
+configure.args	--disable-debug
 
 build { system "cd ${worksrcpath} && make" }
 
Index: emulators/bochs/Portfile
===================================================================
--- emulators/bochs/Portfile	(revision 38079)
+++ emulators/bochs/Portfile	(working copy)
@@ -21,8 +21,7 @@
 
 depends_run     port:wget
 
-configure.args	--prefix=${prefix} \
-		--exec-prefix=${prefix} \
+configure.args	--exec-prefix=${prefix} \
 		--bindir=${prefix}/bin \
 		--mandir=${prefix}/share/man \
 		--enable-all-optimizations \
Index: games/wormux/Portfile
===================================================================
--- games/wormux/Portfile	(revision 38079)
+++ games/wormux/Portfile	(working copy)
@@ -30,5 +30,5 @@
 depends_lib         port:libsdl_ttf port:libsdl_image port:libsdl_gfx \
 		    port:libsdl_mixer port:libsdl_net port:libxmlxx2
 
-configure.args	    --prefix=${prefix} --with-datadir-name=${prefix}/share/${name} \
+configure.args	    --with-datadir-name=${prefix}/share/${name} \
 		    --with-localedir-name=${prefix}/share/locale
Index: graphics/fnlib/Portfile
===================================================================
--- graphics/fnlib/Portfile	(revision 38079)
+++ graphics/fnlib/Portfile	(working copy)
@@ -15,7 +15,7 @@
 checksums	md5 99e9558739b97c82b728e408d9cb1f01
 depends_lib	lib:libX11.6:XFree86 lib:libjpeg.62:jpeg lib:libpng.3:libpng \
 		lib:libtiff.3:tiff lib:libImlib:imlib
-configure.args	 --host=mac --prefix=${prefix}
+configure.args	 --host=mac
 
 # this might break shinymetal on caseinsensitives fs'es
 post-destroot	{
Index: lang/bigloo/Portfile
===================================================================
--- lang/bigloo/Portfile	(revision 38079)
+++ lang/bigloo/Portfile	(working copy)
@@ -27,8 +27,7 @@
 checksums	  md5 abd8841aaebad0ed335e979abe7a0109 \
 		  sha1 12ae7f5cd9c104a35e08f91d2cc5da1b1a782956
 
-configure.args 	  --prefix=${prefix} \
-		  --mandir=${prefix}/share/man/man1 \
+configure.args 	  --mandir=${prefix}/share/man/man1 \
 		  --infodir=${prefix}/share/info \
 		  --docdir=${prefix}/share/doc/bigloo \
 		  --lispdir=${prefix}/share/emacs/site-lisp/bigloo \
Index: lang/clisp/Portfile
===================================================================
--- lang/clisp/Portfile	(revision 38079)
+++ lang/clisp/Portfile	(working copy)
@@ -64,7 +64,7 @@
 }
 
 configure.cflags
-configure.args --prefix=${prefix} --with-libreadline-prefix=${prefix} \
+configure.args --with-libreadline-prefix=${prefix} \
                --with-libsigsegv-prefix=${prefix} --with-libiconv-prefix=${prefix}
 
 configure {
Index: lang/swi-prolog-devel/Portfile
===================================================================
--- lang/swi-prolog-devel/Portfile	(revision 38079)
+++ lang/swi-prolog-devel/Portfile	(working copy)
@@ -40,8 +40,7 @@
 configure.cflags-append "-I${prefix}/include"
 configure.env	CIFLAGS=-I${prefix}/include
 
-configure.args	--prefix=${prefix}		\
-		--mandir=${prefix}/share/man	\
+configure.args	--mandir=${prefix}/share/man	\
 		--with-world
 
 build.env	LDFLAGS=-L${prefix}/lib		\
Index: mail/gmime/Portfile
===================================================================
--- mail/gmime/Portfile	(revision 38079)
+++ mail/gmime/Portfile	(working copy)
@@ -28,7 +28,7 @@
                 port:gettext \
                 port:zlib
 
-configure.args	--prefix=${prefix} --disable-mono --enable-largefile
+configure.args	--disable-mono --enable-largefile
 
 test.run        yes
 test.target     check
Index: mail/sympa/Portfile
===================================================================
--- mail/sympa/Portfile	(revision 38079)
+++ mail/sympa/Portfile	(working copy)
@@ -57,8 +57,7 @@
 			port:p5-soap-lite \
 			port:p5-perl-ldap
 
-configure.args		--prefix=${prefix} \
-			--with-bindir=${prefix}/bin/${name} \
+configure.args		--with-bindir=${prefix}/bin/${name} \
                         --with-sbindir=${prefix}/bin/${name} \
                         --with-libexecdir=${prefix}/libexec/${name} \
                         --with-libdir=${prefix}/lib/${name} \
Index: multimedia/ffmpeg/Portfile
===================================================================
--- multimedia/ffmpeg/Portfile	(revision 38079)
+++ multimedia/ffmpeg/Portfile	(working copy)
@@ -54,7 +54,7 @@
 
 platforms       darwin
 configure.cflags-append	-DHAVE_LRINTF ${configure.cppflags}
-configure.args	--prefix=${prefix} --disable-vhook \
+configure.args	--disable-vhook \
 		--mandir=${prefix}/share/man \
 		--enable-shared --enable-pthreads
 
Index: multimedia/tivodecode/Portfile
===================================================================
--- multimedia/tivodecode/Portfile	(revision 38079)
+++ multimedia/tivodecode/Portfile	(working copy)
@@ -25,4 +25,4 @@
 		sha1 efabe4aee461e6da90ddc52abe9ae025c4185032
 
 use_configure	yes
-configure.args	--prefix=${prefix} --datadir=${prefix}/share
+configure.args	--datadir=${prefix}/share
Index: net/axel/Portfile
===================================================================
--- net/axel/Portfile	(revision 38079)
+++ net/axel/Portfile	(working copy)
@@ -15,7 +15,7 @@
 homepage	http://wilmer.gaast.net/main.php/axel.html
 checksums	sha1 b9c9a4bb86ac5ffd53974af211edbfaefc182183
 
-configure.args	--prefix=${prefix} --i18n=1
+configure.args	--i18n=1
 build.args	CFLAGS="-I${prefix}/include" \
 		LFLAGS="-L${prefix}/lib -lintl -liconv"
 
Index: net/mcabber/Portfile
===================================================================
--- net/mcabber/Portfile	(revision 38079)
+++ net/mcabber/Portfile	(working copy)
@@ -32,8 +32,7 @@
                      bin:gpgme-config:gpgme \
                      bin:gcrypt-config:libgcrypt
 
-configure.args      --prefix=${prefix} \
-                    --enable-otr \
+configure.args      --enable-otr \
                     --with-libotr-prefix=${prefix}/lib \
                     --with-libotr-inc-prefix=${prefix}/include \
                     --without-ssl \
Index: net/netclasses-framework/Portfile
===================================================================
--- net/netclasses-framework/Portfile	(revision 38079)
+++ net/netclasses-framework/Portfile	(working copy)
@@ -22,7 +22,6 @@
 
 depends_build		port:gnustep-make-cocoa
 
-configure.args		--prefix=${prefix}
 build.cmd		. ${prefix}/GNUstep/Cocoa/System/Library/Makefiles/GNUstep.sh && ${build.cmd}
 
 platform darwin 8	{ patchfiles-append patch-Source-GNUmakefile.in }
Index: net/pidgin-encryption/Portfile
===================================================================
--- net/pidgin-encryption/Portfile	(revision 38079)
+++ net/pidgin-encryption/Portfile	(working copy)
@@ -8,8 +8,7 @@
 depends_lib	port:nss port:pidgin
 
 long_description ${description}
-configure.args	--prefix=${prefix} \
-		--with-nss-includes=${prefix}/include/nss \
+configure.args	--with-nss-includes=${prefix}/include/nss \
 		--with-nss-libs=${prefix}/lib \
 		--with-nspr-includes=${prefix}/include/nspr \
 		--with-nspr-libs=${prefix}/lib
Index: net/rrdtool/Portfile
===================================================================
--- net/rrdtool/Portfile	(revision 38079)
+++ net/rrdtool/Portfile	(working copy)
@@ -19,8 +19,7 @@
 			port:libpng \
 			port:cairo
 
-configure.args		--prefix=${prefix} \
-			--enable-perl-site-install \
+configure.args		--enable-perl-site-install \
 			--with-tcllib=${prefix}/lib \
 			--disable-python \
 			--disable-ruby \
Index: net/scotty/Portfile
===================================================================
--- net/scotty/Portfile	(revision 38079)
+++ net/scotty/Portfile	(working copy)
@@ -40,8 +40,7 @@
 build.dir		${worksrcpath}/unix
 destroot.dir		${worksrcpath}/unix
 
-configure.args		--prefix=${prefix} \
-			--exec_prefix=${prefix} \
+configure.args		--exec_prefix=${prefix} \
 			--with-tcl=${prefix} \
 			--with-tk=${prefix}
 
Index: office/taskjuggler/Portfile
===================================================================
--- office/taskjuggler/Portfile	(revision 38079)
+++ office/taskjuggler/Portfile	(working copy)
@@ -34,8 +34,7 @@
                     port:kdelibs3 \
                     port:kdepim3
 
-configure.args      --prefix=${prefix} \
-                    --enable-mac \
+configure.args      --enable-mac \
                     --disable-docs \
                     --without-arts \
                     --with-qt-dir=${prefix}/lib/qt3 \
Index: python/py-4suite-xml/Portfile
===================================================================
--- python/py-4suite-xml/Portfile	(revision 38079)
+++ python/py-4suite-xml/Portfile	(working copy)
@@ -24,5 +24,4 @@
 
 use_configure		yes
 configure.cmd		${python.bin} setup.py config
-configure.args		--prefix=${prefix} \
-			--mandir=${prefix}/share/man
+configure.args		--mandir=${prefix}/share/man
Index: science/grads/Portfile
===================================================================
--- science/grads/Portfile	(revision 38079)
+++ science/grads/Portfile	(working copy)
@@ -40,7 +40,7 @@
 
 #configure.env LIBS="-lwmf" SUPPLIBS=${prefix}
 configure.env SUPPLIBS=${prefix}
-configure.args     --prefix=${prefix} --with-readline --with-lats \
+configure.args     --with-readline --with-lats \
                    --with-nc --with-dods --with-hdf --with-x      \
                    --without-printim --without-gui
 
Index: science/ncview/Portfile
===================================================================
--- science/ncview/Portfile	(revision 38079)
+++ science/ncview/Portfile	(working copy)
@@ -25,8 +25,7 @@
 patchfiles		patch-Makefile.in
 depends_lib		port:netcdf
 
-configure.args		--prefix=${prefix} \
-			--with-netcdf_incdir=${prefix}/include \
+configure.args		--with-netcdf_incdir=${prefix}/include \
 			--with-netcdf_libdir=${prefix}/lib \
 			--with-bindir=${prefix}/bin
 
Index: sysutils/dcfldd/Portfile
===================================================================
--- sysutils/dcfldd/Portfile	(revision 38079)
+++ sysutils/dcfldd/Portfile	(working copy)
@@ -15,7 +15,7 @@
 checksums	md5 952026c872f11b53ce0ec6681a3eef0a \
 		sha1 fb1c55f107a6af5ef8703a44d33476e508815913 \
 		rmd160 3a6fba197686da8f1890d21f75b6bc2ae18592a7
-configure.args	--prefix=${prefix} --mandir=${prefix}/share/man
+configure.args	--mandir=${prefix}/share/man
 
 patchfiles	patch-sha1.h.diff
 
Index: www/httperf/Portfile
===================================================================
--- www/httperf/Portfile	(revision 38079)
+++ www/httperf/Portfile	(working copy)
@@ -22,6 +22,5 @@
 platforms        darwin
 master_sites     ftp://ftp.hpl.hp.com/pub/httperf/
 checksums        md5 2971956d4846349f9e8d3c54acd591a5
-configure.args   --prefix=${prefix}
 destroot.destdir prefix=${destroot}${prefix} \
                  exec_prefix=${destroot}${prefix}
Index: www/yaws/Portfile
===================================================================
--- www/yaws/Portfile	(revision 38079)
+++ www/yaws/Portfile	(working copy)
@@ -38,8 +38,7 @@
 
 default_variants	+yapp
 
-configure.args		--prefix=${prefix} \
-					--sysconfdir=${prefix}/etc \
+configure.args		--sysconfdir=${prefix}/etc \
 					--localstatedir=${prefix}/var
 
 variant yapp description {Yapp application handler} {
Index: x11/blackbox/Portfile
===================================================================
--- x11/blackbox/Portfile	(revision 38079)
+++ x11/blackbox/Portfile	(working copy)
@@ -23,7 +23,7 @@
 livecheck.regex	"Latest release: <em>(\[0-9a-z.\]+)</em>"
 
 depends_lib	lib:libX11.6:XFree86
-configure.args  --prefix=${prefix} --mandir=${prefix}/share/man
+configure.args  --mandir=${prefix}/share/man
 
 platform darwin 7 {
         patchfiles-append patch-Toolbar.cc
Index: x11/blt/Portfile
===================================================================
--- x11/blt/Portfile	(revision 38079)
+++ x11/blt/Portfile	(working copy)
@@ -24,8 +24,7 @@
 configure.cppflags	"-L${prefix}/lib"
 configure.cflags	"-O3 -fno-common"
 
-configure.args		--prefix=${prefix} \
-			--exec_prefix=${prefix} \
+configure.args		--exec_prefix=${prefix} \
 			--bindir=${prefix}/bin \
 			--includedir=${prefix}/include \
 			--libdir=${prefix}/lib \
Index: x11/rep-gtk/Portfile
===================================================================
--- x11/rep-gtk/Portfile	(revision 38079)
+++ x11/rep-gtk/Portfile	(working copy)
@@ -27,5 +27,5 @@
 
 depends_lib	 port:gtk2 port:librep
 
-configure.args --without-gnome --without-libglade --prefix=${prefix}
+configure.args --without-gnome --without-libglade
 
Index: x11/sawfish/Portfile
===================================================================
--- x11/sawfish/Portfile	(revision 38079)
+++ x11/sawfish/Portfile	(working copy)
@@ -24,8 +24,7 @@
 		port:audiofile \
 		port:esound
 
-configure.args --prefix=${prefix} \
-               --infodir=${prefix}/share/info \
+configure.args --infodir=${prefix}/share/info \
                --mandir=${prefix}/share/man
 
 post-install {
Index: x11/tktable/Portfile
===================================================================
--- x11/tktable/Portfile	(revision 38079)
+++ x11/tktable/Portfile	(working copy)
@@ -19,8 +19,7 @@
 			port:tcl \
 			port:tk
 
-configure.args		--prefix=${prefix} \
-			--with-tcl=${prefix}/lib \
+configure.args		--with-tcl=${prefix}/lib \
 			--with-tk=${prefix}/lib \
 			CPPFLAGS=-I${prefix}/include \
                     	CFLAGS=-I${prefix}/include \